// ************************************************************************* //
/// GBB - Graphics Blue Box, by Alexis Angelidis
/// $Author: silex $
/// $Date: 2006/01/11 21:56:29 $
/// $Revision: 1.1 $
// ************************************************************************* //
#ifndef __NODECURVE_HH__
#define __NODECURVE_HH__

// ************************************************************************* //
#include "dagnode.h"

// ************************************************************************* //
class Plug;

// ************************************************************************* //
class NCurve: public DagNode
{
public:
  static int	typeNbr;
  static String	typeStr;
public:
  NCurve(DagNode *parent = 0): DagNode(parent) {}
  virtual void		initialize();
  virtual int		getTypeNbr() const { return typeNbr; }
  virtual const String	&getTypeStr() const { return typeStr; }
  static DagNode	*creator() { return new NCurve(); }
  virtual void		compute(Plug &hndOut);
  void	setkey(const Pnt2d &p);
  void	remkey(const double f);
};

// ************************************************************************* //
#endif//__NODECURVE_HH__
