// ************************************************************************* //
/// AUTHOR: Alexis Angelidis.
/// STARTED: Wed Sep 14 16:21:01 NZST 2005
// ************************************************************************* //
#ifndef __NODEVELOCITYPLOT_HH__
#define __NODEVELOCITYPLOT_HH__

// ************************************************************************* //
#include "nodeshape.h"

// ************************************************************************* //
class Plug;

// ************************************************************************* //
class NVelocityPlot: public NShape
{
public:
  static int	typeNbr;
  static String	typeStr;
public:
  NVelocityPlot(DagNode *parent = 0): NShape(parent) {}
  virtual void		initialize();
  void	buildDagNodes();
  virtual int		getTypeNbr() const { return typeNbr; }
  virtual const String	&getTypeStr() const { return typeStr; }
  static DagNode	*creator() { return new NVelocityPlot; }
  virtual void		compute(Plug &plugOut);
};

// ************************************************************************* //
#endif//__NODEVELOCITYPLOT_HH__

