// ************************************************************************* //
/// AUTHOR: Alexis Angelidis.
/// STARTED: Sat Nov  5 13:16:11 EST 2005
// ************************************************************************* //
#ifndef __NODEPLANE_HH__
#define __NODEPLANE_HH__

// ************************************************************************* //
#include "nodeshape.h"

// ************************************************************************* //
class NPlane: public NShape
{
public:
  static int	typeNbr;
  static String	typeStr;
public:
  NPlane(DagNode *parent = 0): NShape(parent) {}
  virtual void		initialize();
  virtual int		getTypeNbr() const { return typeNbr; }
  virtual const String	&getTypeStr() const { return typeStr; }
  static DagNode	*creator() { return new NPlane(); }
  void			buildDagNodes();
  virtual void		compute(Plug &plugOut);
};

// ************************************************************************* //
#endif//__NODEPLANE_HH__
