// ************************************************************************* //
/// GBB - Graphics Blue Box, by Alexis Angelidis
/// $Author: silex $
/// $Date: 2006/01/11 21:56:29 $
/// $Revision: 1.1 $
// ************************************************************************* //
#ifndef __NODESHAPE_HH__
#define __NODESHAPE_HH__

// ************************************************************************* //
#include "dagnode.h"

// ************************************************************************* //
class Plug;

// ************************************************************************* //
class NShape: public DagNode
{
public:
  static int	typeNbr;
  static String	typeStr;
public:
  NShape(DagNode *parent = 0): DagNode(parent) {}
  virtual void		initialize();
  virtual int		getTypeNbr() const { return typeNbr; }
  virtual const String	&getTypeStr() const { return typeStr; }
  static DagNode	*creator() { return new NShape(); }
  virtual void		compute(Plug &plug);
  void			glRender(Plug &plug);
};

// ************************************************************************* //
#endif//__NODESHAPE_HH__

